=== renamed file 'tests/r/mysqldump-max.result' => 'tests/r/drizzledump-max.result'
=== modified file 'tests/r/drizzledump.result'
--- tests/r/drizzledump.result	2010-05-13 15:36:31 +0000
+++ tests/r/drizzledump.result	2010-07-02 15:58:00 +0000
@@ -1193,6 +1193,10 @@
 ALTER TABLE `test` ENABLE KEYS;
 drop database `test-database`;
 use test;
+CREATE DATABASE mysqldump_30126;
+USE mysqldump_30126;
+CREATE TABLE t1 (c1 int);
+DROP DATABASE mysqldump_30126;
 #
 # End of 5.1 tests
 #

=== modified file 'tests/r/drizzledump_restore.result'
--- tests/r/drizzledump_restore.result	2010-05-25 17:00:12 +0000
+++ tests/r/drizzledump_restore.result	2010-07-02 16:14:31 +0000
@@ -78,6 +78,36 @@
 Comparing tables test.t1 and test.t1_orig
 # Cleanup
 DROP TABLE test.t1, test.t1_orig;
+#
+# Bug#550091 in Drizzle: "drizzledump dumps data_dictionary"
+#
+CREATE TABLE t1 (a char(100), b int);
+INSERT INTO t1 values ('a',100);
+INSERT INTO t1 values ('b',200);
+CREATE SCHEMA drizzledump_test;
+USE drizzledump_test;
+CREATE TABLE t1 (a int, b char(100));
+INSERT INTO t1 VALUES (1, 'abbazabba');
+DROP original schemas
+DROP DATABASE test;
+DROP DATABASE drizzledump_test;
+Ensure we don't have those tables (verify we restored something)
+SELECT * FROM test.t1;
+ERROR 42S02: Table 'test.t1' doesn't exist
+SELECT * FROM drizzledump_test.t1;
+ERROR 42S02: Table 'drizzledump_test.t1' doesn't exist
+Restoring from dumpfile
+USE test;
+SELECT * FROM t1;
+a	b
+a	100
+b	200
+SELECT * FROM drizzledump_test.t1;
+a	b
+1	abbazabba
+Cleanup
+DROP DATABASE drizzledump_test;
+DROP TABLE t1;
 # End tests
 # Cleanup
 # remove drizzledumpfile

=== modified file 'tests/r/flush_block_commit.result'
--- tests/r/flush_block_commit.result	2009-01-10 17:58:59 +0000
+++ tests/r/flush_block_commit.result	2010-07-09 20:51:34 +0000
@@ -35,5 +35,5 @@
 10
 show create database test;
 Database	Create Database
-test	CREATE DATABASE `test`
+test	CREATE DATABASE `test` COLLATE = utf8_general_ci
 drop table t1;

=== removed file 'tests/r/mysqldump-compat.result'
--- tests/r/mysqldump-compat.result	2008-12-06 22:41:03 +0000
+++ tests/r/mysqldump-compat.result	1970-01-01 00:00:00 +0000
@@ -1,4 +0,0 @@
-CREATE DATABASE mysqldump_30126;
-USE mysqldump_30126;
-CREATE TABLE t1 (c1 int);
-DROP DATABASE mysqldump_30126;

=== renamed file 'tests/t/mysqldump-max.test' => 'tests/t/drizzledump-max.test'
=== modified file 'tests/t/drizzledump.test'
--- tests/t/drizzledump.test	2010-05-11 04:17:20 +0000
+++ tests/t/drizzledump.test	2010-07-02 15:58:00 +0000
@@ -720,8 +720,21 @@
 drop database `test-database`;
 use test;
 
+#
+# Bug #30126: semicolon before closing */ in /*!... CREATE DATABASE ;*/
+#
+
+CREATE DATABASE mysqldump_30126;
+USE mysqldump_30126;
+CREATE TABLE t1 (c1 int);
+--exec $DRIZZLE_DUMP --add-drop-database mysqldump_30126 > $MYSQLTEST_VARDIR/tmp/bug30126.sql
+--exec $DRIZZLE mysqldump_30126 < $MYSQLTEST_VARDIR/tmp/bug30126.sql
+DROP DATABASE mysqldump_30126;
+
+
 ###########################################################################
 
 --echo #
 --echo # End of 5.1 tests
 --echo #
+

=== modified file 'tests/t/drizzledump_restore.test'
--- tests/t/drizzledump_restore.test	2010-05-20 03:29:50 +0000
+++ tests/t/drizzledump_restore.test	2010-07-02 16:14:31 +0000
@@ -83,6 +83,52 @@
 let $table_name = test.t1;
 --source include/drizzledump.inc
 
+--echo #
+--echo # Bug#550091 in Drizzle: "drizzledump dumps data_dictionary"
+--echo #
+# We create a table in the test database
+# We create an additional database and create a table there
+# We dump all, then attempt to recreate and do some basic queries against
+# our previously created tables
+#
+# We don't explicitly check the dumpfile for data_dictionary or
+# information_schema output, but this test was failing on
+# the unpatched drizzledump during dumping of data_dictionary
+# information
+
+
+CREATE TABLE t1 (a char(100), b int);
+INSERT INTO t1 values ('a',100);
+INSERT INTO t1 values ('b',200);
+
+CREATE SCHEMA drizzledump_test;
+USE drizzledump_test;
+CREATE TABLE t1 (a int, b char(100));
+INSERT INTO t1 VALUES (1, 'abbazabba');
+
+# dump all databases here
+--exec $DRIZZLE_DUMP --skip-comments --compact -A > $drizzledumpfile
+
+--echo DROP original schemas
+DROP DATABASE test;
+DROP DATABASE drizzledump_test;
+
+--echo Ensure we don't have those tables (verify we restored something)
+--ERROR 1146
+SELECT * FROM test.t1;
+--ERROR 1146
+SELECT * FROM drizzledump_test.t1;
+
+--echo Restoring from dumpfile
+--exec $DRIZZLE < $drizzledumpfile
+
+USE test;
+SELECT * FROM t1;
+SELECT * FROM drizzledump_test.t1;
+--echo Cleanup
+DROP DATABASE drizzledump_test;
+DROP TABLE t1;
+
 --echo # End tests
 
 --echo # Cleanup

=== removed file 'tests/t/mysqldump-compat.test'
--- tests/t/mysqldump-compat.test	2008-12-06 22:41:03 +0000
+++ tests/t/mysqldump-compat.test	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-#
-# Bug #30126: semicolon before closing */ in /*!... CREATE DATABASE ;*/
-#
-
-CREATE DATABASE mysqldump_30126;
-USE mysqldump_30126;
-CREATE TABLE t1 (c1 int);
---exec $DRIZZLE_DUMP --add-drop-database mysqldump_30126 > $MYSQLTEST_VARDIR/tmp/bug30126.sql
---exec $MYSQL mysqldump_30126 < $MYSQLTEST_VARDIR/tmp/bug30126.sql
-DROP DATABASE mysqldump_30126;

